| dp21 Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

Data Fields
XDp_MainStreamAttributes Struct Reference
Overview

This typedef contains the main stream attributes which determine how the video will be displayed. More...

## Data Fields
XVidC_VideoTimingMode | Vtm
| The video timing. More...
u64 | PixelClockHz
| The pixel clock of the stream (in Hz). More...
u32 | HStart
| Horizontal blank start (in pixels). More...
u32 | VStart
| Vertical blank start (in lines). More...
u32 | Misc0
| Miscellaneous stream attributes 0 as specified by the DisplayPort 1.2 specification. More...
u32 | Misc1
| Miscellaneous stream attributes 1 as specified by the DisplayPort 1.2 specification. More...
u32 | NVid
| N value for the video stream. More...
u32 | MVid
| M value used to recover the video clock from the link clock. More...
u32 | UserPixelWidth
| The width of the user data input port. More...
u32 | DataPerLane
| Used to translate the number of pixels per line to the native internal 16-bit datapath. More...
u32 | AvgBytesPerTU
| Average number of bytes per transfer unit, scaled up by a factor of 1000. More...
u8 | TransferUnitSize
| Size of the transfer unit in the framing logic. More...
u32 | StartTs
| Starting timeslot for payload allocation. More...
u32 | InitWait
| Number of initial wait cycles at the start of a new line by the framing logic. More...
u32 | BitsPerColor
| Number of bits per color component. More...
u8 | ComponentFormat
| The component format currently in use by the video stream. More...
u8 | DynamicRange
| The dynamic range currently in use by the video stream. More...
u8 | YCbCrColorimetry
| The YCbCr colorimetry currently in use by the video stream. More...
u8 | SynchronousClockMode
| Synchronous clock mode is currently in use by the video stream. More...
u8 | OverrideUserPixelWidth
| If set to 1, the value stored for UserPixelWidth will be used as the pixel width. More...
u8 | OverrideSyncPolarity
| Overrides the Horizontal and vertical sync polarity. More...

## Detailed Description

This typedef contains the main stream attributes which determine how the video will be displayed.

## Field Documentation

u32 XDp_MainStreamAttributes::AvgBytesPerTU

Average number of bytes per transfer unit, scaled up by a factor of 1000.

u32 XDp_MainStreamAttributes::BitsPerColor

Number of bits per color component.

u8 XDp_MainStreamAttributes::ComponentFormat

The component format currently in use by the video stream.

u32 XDp_MainStreamAttributes::DataPerLane

Used to translate the number of pixels per line to the native internal 16-bit datapath.

u8 XDp_MainStreamAttributes::DynamicRange

The dynamic range currently in use by the video stream.

u32 XDp_MainStreamAttributes::HStart

Horizontal blank start (in pixels).

u32 XDp_MainStreamAttributes::InitWait

Number of initial wait cycles at the start of a new line by the framing logic.

u32 XDp_MainStreamAttributes::Misc0

Miscellaneous stream attributes 0 as specified by the DisplayPort 1.2 specification.

u32 XDp_MainStreamAttributes::Misc1

Miscellaneous stream attributes 1 as specified by the DisplayPort 1.2 specification.

u32 XDp_MainStreamAttributes::MVid

M value used to recover the video clock from the link clock.

u32 XDp_MainStreamAttributes::NVid

N value for the video stream.

u8 XDp_MainStreamAttributes::OverrideSyncPolarity

Overrides the Horizontal and vertical sync polarity.

u8 XDp_MainStreamAttributes::OverrideUserPixelWidth

If set to 1, the value stored for UserPixelWidth will be used as the pixel width.

u64 XDp_MainStreamAttributes::PixelClockHz

The pixel clock of the stream (in Hz).

u32 XDp_MainStreamAttributes::StartTs

Starting timeslot for payload allocation.

u8 XDp_MainStreamAttributes::SynchronousClockMode

Synchronous clock mode is currently in use by the video stream.

u8 XDp_MainStreamAttributes::TransferUnitSize

Size of the transfer unit in the framing logic.

In MST mode, this is also the number of time slots that are alloted in the payload ID table.

u32 XDp_MainStreamAttributes::UserPixelWidth

The width of the user data input port.

u32 XDp_MainStreamAttributes::VStart

Vertical blank start (in lines).

XVidC_VideoTimingMode XDp_MainStreamAttributes::Vtm

The video timing.

u8 XDp_MainStreamAttributes::YCbCrColorimetry

The YCbCr colorimetry currently in use by the video stream.